org.springframework.cloud.dataflow.server.config

## Class DataflowOAuthSecurityConfiguration

- java.lang.Object
- - org.springframework.security.config.annotation.web.configuration.WebSecurityConfigurerAdapter
  - - org.springframework.cloud.common.security.OAuthSecurityConfiguration
    - - org.springframework.cloud.dataflow.server.config.DataflowOAuthSecurityConfiguration

- All Implemented Interfaces:
    org.springframework.security.config.annotation.SecurityConfigurer<javax.servlet.Filter,org.springframework.security.config.annotation.web.builders.WebSecurity>, org.springframework.security.config.annotation.web.WebSecurityConfigurer<org.springframework.security.config.annotation.web.builders.WebSecurity>

      @Configuration
       @Conditional(value=org.springframework.cloud.common.security.support.OnOAuth2SecurityEnabled.class)
      public class DataflowOAuthSecurityConfiguration
      extends org.springframework.cloud.common.security.OAuthSecurityConfiguration

  Setup Spring Security OAuth for the Rest Endpoints of Spring Cloud Data Flow.
  Author:
    Gunnar Hillert, Ilayaperumal Gopinathan, Janne Valkealahti

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.springframework.cloud.common.security.OAuthSecurityConfiguration

      `org.springframework.cloud.common.security.OAuthSecurityConfiguration.BrowserDetectingContentNegotiationStrategy`

  - ### Field Summary

    - ### Fields inherited from class org.springframework.cloud.common.security.OAuthSecurityConfiguration

      `applicationEventPublisher, authorizationProperties, clientRegistrationRepository, oauth2AuthorizedClientService, oauth2ClientProperties, oAuth2PasswordTokenResponseClient, oAuth2ResourceServerProperties, opaqueTokenIntrospector, securityProperties, securityStateBean`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `DataflowOAuthSecurityConfiguration()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected void` | `configure(org.springframework.security.config.annotation.web.builders.HttpSecurity http)`

    - ### Methods inherited from class org.springframework.cloud.common.security.OAuthSecurityConfiguration

      `authenticationProvider, authorityMapper, authorizedClientManager, dashboard, grantedAuthoritiesExtractor, handleOAuth2AuthenticationFailureEvent, oauth2TokenUtilsService, oidcUserService, opaqueTokenIntrospector, plainOauth2UserService, providerManager`

    - ### Methods inherited from class org.springframework.security.config.annotation.web.configuration.WebSecurityConfigurerAdapter

      `authenticationManager, authenticationManagerBean, configure, configure, getApplicationContext, getHttp, init, setApplicationContext, setAuthenticationConfiguration, setContentNegotationStrategy, setObjectPostProcessor, setTrustResolver, userDetailsService, userDetailsServiceBean`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### DataflowOAuthSecurityConfiguration

          public DataflowOAuthSecurityConfiguration()

  - ### Method Detail

    - #### configure

          protected void configure(org.springframework.security.config.annotation.web.builders.HttpSecurity http)
                            throws Exception

      Overrides:
        `configure` in class `org.springframework.cloud.common.security.OAuthSecurityConfiguration`
      Throws:
        `Exception`

Copyright © 2021 Pivotal Software, Inc.. All rights reserved.